Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class SelectByIdTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.SelectByIdTag

public class SelectByIdTag
extends BaseTag

A tag which finds a Content via its identifier and places it in a script variable for use.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `contentHome` The JNDI name of the ContentManager to contact.
`protected java.lang.String` | `contentId` The identifier of the content.
`protected java.util.Map` | `contextParams` The search context params.
`protected java.lang.String` | `onNotFound` The error message to give if the identifier is not found.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SelectByIdTag()`

Method Summary
`int` | `doStartTag()` Called to execute the tag.
`java.lang.String` | `getContentHome()` Get the value of `contentHome`.
`java.lang.String` | `getContentId()` Get the value of `contentId`.
`java.util.Map` | `getContextParams()` Get the context params.
`java.lang.String` | `getOnNotFound()` Get the value of `onNotFound`.
`void` | `release()` Release any resources.
`void` | `setContentHome(java.lang.String v)` Set the value of `contentHome`.
`void` | `setContentId(java.lang.String v)` Set the value of `contentId`.
`void` | `setContextParams(java.util.Map m)` Set the context params.
`void` | `setContextParams(java.lang.String str)` Set the context params from semi-colon separate list of name=value pairs.
`void` | `setOnNotFound(java.lang.String v)` Set the value of `onNotFound`.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentHome

    protected java.lang.String contentHome

  The JNDI name of the ContentManager to contact.

### contentId

    protected java.lang.String contentId

  The identifier of the content.

### onNotFound

    protected java.lang.String onNotFound

  The error message to give if the identifier is not found.

### contextParams

    protected java.util.Map contextParams

  The search context params.

Constructor Detail

### SelectByIdTag

    public SelectByIdTag()

Method Detail

### getContentHome

    public java.lang.String getContentHome()

  Get the value of `contentHome`.

### setContentHome

    public void setContentHome(java.lang.String v)

  Set the value of `contentHome`.

### getContentId

    public java.lang.String getContentId()

  Get the value of `contentId`.

### setContentId

    public void setContentId(java.lang.String v)

  Set the value of `contentId`.

### getOnNotFound

    public java.lang.String getOnNotFound()

  Get the value of `onNotFound`.

### setOnNotFound

    public void setOnNotFound(java.lang.String v)

  Set the value of `onNotFound`.

### getContextParams

    public java.util.Map getContextParams()

  Get the context params.

### setContextParams

    public void setContextParams(java.lang.String str)

  Set the context params from semi-colon separate list of name=value pairs.

### setContextParams

    public void setContextParams(java.util.Map m)

  Set the context params.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Called to execute the tag.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Release any resources.

  Overrides:
    release in class BaseTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved